| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | List of all members
Tp::CallStream Class Reference
Channel proxies

The CallStream class provides an object representing a Telepathy Call.Stream. More...

`#include <TelepathyQt/CallStream>`

Inherits Tp::StatefulDBusProxy, and Tp::OptionalInterfaceFactory< CallStream >.

## Signals

void | localSendingStateChanged (Tp::SendingState localSendingState, const Tp::CallStateReason &reason)
void | remoteSendingStateChanged (const QHash< Tp::ContactPtr, Tp::SendingState > &remoteSendingStates, const Tp::CallStateReason &reason)
void | remoteMembersRemoved (const Tp::Contacts &remoteMembers, const Tp::CallStateReason &reason)
Signals inherited from Tp::DBusProxy
void | invalidated (Tp::DBusProxy *proxy, const QString &errorName, const QString &errorMessage)
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Public Member Functions

| ~CallStream ()
CallContentPtr | content () const
Contacts | remoteMembers () const
bool | canRequestReceiving () const
SendingState | localSendingState () const
SendingState | remoteSendingState (const ContactPtr &contact) const
PendingOperation * | requestSending (bool send)
PendingOperation * | requestReceiving (const ContactPtr &contact, bool receive)
Public Member Functions inherited from Tp::StatefulDBusProxy
| StatefulDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~StatefulDBusProxy ()
Public Member Functions inherited from Tp::DBusProxy
| DBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~DBusProxy ()
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()
Public Member Functions inherited from Tp::ReadyObject
| ReadyObject (RefCounted *object, const Feature &featureCore)
| ReadyObject (DBusProxy *proxy, const Feature &featureCore)
virtual | ~ReadyObject ()
virtual bool | isReady (const Features &features=Features()) const
virtual PendingReady * | becomeReady (const Features &requestedFeatures=Features())
virtual Features | requestedFeatures () const
virtual Features | actualFeatures () const
virtual Features | missingFeatures () const
Public Member Functions inherited from Tp::OptionalInterfaceFactory< CallStream >
| OptionalInterfaceFactory (CallStream *this_)
| ~OptionalInterfaceFactory ()
QStringList | interfaces () const
bool | hasInterface (const QString &name) const
Interface * | optionalInterface (InterfaceSupportedChecking check=CheckInterfaceSupported) const
Interface * | interface () const

## Additional Inherited Members

Public Types inherited from Tp::OptionalInterfaceFactory< CallStream >
enum | InterfaceSupportedChecking
Static Public Member Functions inherited from Tp::StatefulDBusProxy
static QString | uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique)
static QString | uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique, QString &error, QString &message)
Protected Member Functions inherited from Tp::DBusProxy
void | setBusName (const QString &busName)
void | invalidate (const QString &reason, const QString &message)
void | invalidate (const QDBusError &error)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from Tp::ReadyObject
ReadinessHelper * | readinessHelper () const
Protected Member Functions inherited from Tp::OptionalInterfaceFactory< CallStream >
void | setInterfaces (const QStringList &interfaces)

## Detailed Description

The CallStream class provides an object representing a Telepathy Call.Stream.

Instances of this class cannot be constructed directly; the only way to get one is via CallContent.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::CallStream::~CallStream | ( |  | ) |

Class destructor.

## Member Function Documentation

CallContentPtr Tp::CallStream::content | ( |  | ) | const

Return the content owning this call stream.

Returns
  The content owning this call stream.

Contacts Tp::CallStream::remoteMembers | ( |  | ) | const

Return the contacts whose the call stream is with.

Returns
  The contacts whose the call stream is with.

See Also
  remoteMembersRemoved()

bool Tp::CallStream::canRequestReceiving | ( |  | ) | const

Returns whether the user can request that a remote contact starts sending on this stream. Not all protocols allow the user to ask the other side to start sending media.

Returns
  true if the user can request that a remote contact starts sending on this stream, or false otherwise.

See Also
  requestReceiving()

SendingState Tp::CallStream::localSendingState | ( |  | ) | const

Return the call stream local sending state.

Returns
  The call stream local sending state.

See Also
  localSendingStateChanged()

SendingState Tp::CallStream::remoteSendingState | ( | const ContactPtr & | contact | ) | const

Return the call stream remote sending state for a given contact.

Returns
  The call stream remote sending state for a contact.

See Also
  remoteSendingStateChanged()

PendingOperation * Tp::CallStream::requestSending | ( | bool | send | ) |

Request that media starts or stops being sent on this call stream.

Returns
  A PendingOperation which will emit PendingOperation::finished when the call has finished.

See Also
  localSendingStateChanged()

PendingOperation * Tp::CallStream::requestReceiving | ( | const ContactPtr & | contact,
|  | bool | receive
| ) |  |

Request that a remote contact stops or starts sending on this call stream.

Returns
  A PendingOperation which will emit PendingOperation::finished when the call has finished.

See Also
  remoteSendingStateChanged()

void Tp::CallStream::localSendingStateChanged | ( | Tp::SendingState | localSendingState,
|  | const Tp::CallStateReason & | reason
| ) |  |

signal

This signal is emitted when the local sending state of this call stream changes.

Parameters

  localSendingState | The new local sending state of this call stream.
  reason | The reason that caused this change

See Also
  localSendingState()

void Tp::CallStream::remoteSendingStateChanged | ( | const QHash< Tp::ContactPtr, Tp::SendingState > & | remoteSendingStates,
|  | const Tp::CallStateReason & | reason
| ) |  |

signal

This signal is emitted when any remote sending state of this call stream changes.

Parameters

  remoteSendingStates | The new remote sending states of this call stream.
  reason | The reason that caused these changes

See Also
  remoteSendingState()

void Tp::CallStream::remoteMembersRemoved | ( | const Tp::Contacts & | members,
|  | const Tp::CallStateReason & | reason
| ) |  |

signal

This signal is emitted when one or more members of this stream are removed.

Parameters

  members | The members that were removed from this call stream.
  reason | The reason for that caused these removals

See Also
  remoteMembers()